Skip to main content
GET
/
v2
/
api
Internal Transactions Advanced Filter
curl --request GET \
  --url https://api.etherscan.io/v2/api
{
   "status":"1",
   "message":"OK",
   "result":[
      {
         "blockNumber":"2535368",
         "timeStamp":"1477837690",
         "hash":"0x8a1a9989bda84f80143181a68bc137ecefa64d0d4ebde45dd94fc0cf49e70cb6",
         "from":"0x20d42f2e99a421147acf198d775395cac2e8b03d",
         "to":"",
         "value":"0",
         "contractAddress":"0x2c1ba59d6f58433fb1eaee7d20b26ed83bda51a3",
         "input":"",
         "type":"create",
         "gas":"254791",
         "gasUsed":"46750",
         "traceId":"0",
         "isError":"0",
         "errCode":""
      }
   ]
}
Beta Explore and preview data from our Advanced Filter page.

Query parameters.

apikey
string
default:"YourApiKeyToken"
Your Etherscan API key.
chainid
string
default:"1"
Chain ID to query, such as 1 for Ethereum or 8453 for Base from our supported chains.
module
string
default:"account"
Set to account for this endpoint.
action
string
default:"txlistinternal"
Set to txlistinternal for this endpoint.
from
string
default:"0x73605779985A11B8Fe32E6eD5ae5F249FFD0D7f0"
The sender address to filter transactions by.
to
string
default:"0x71c7656ec7ab88b098defb751b7401b5f6d8976f"
The recipient address to filter transactions by.
fromto_opr
string
default:"or"
Address filter operator, either and or or.Use fromto_opr=and when both from and to must match. Use fromto_opr=or when either from or to can match.
startblock
integer
default:"0"
Starting block number to search from.
endblock
string
default:"latest"
Ending block number to search to, or latest for the latest block.
sort
string
default:"desc"
Sort order, either desc for the latest transactions first or asc for the oldest transactions first.
page
integer
default:"1"
Page number for pagination.
offset
integer
default:"10"
Number of records per page. Use the page parameter for subsequent records.
{
   "status":"1",
   "message":"OK",
   "result":[
      {
         "blockNumber":"2535368",
         "timeStamp":"1477837690",
         "hash":"0x8a1a9989bda84f80143181a68bc137ecefa64d0d4ebde45dd94fc0cf49e70cb6",
         "from":"0x20d42f2e99a421147acf198d775395cac2e8b03d",
         "to":"",
         "value":"0",
         "contractAddress":"0x2c1ba59d6f58433fb1eaee7d20b26ed83bda51a3",
         "input":"",
         "type":"create",
         "gas":"254791",
         "gasUsed":"46750",
         "traceId":"0",
         "isError":"0",
         "errCode":""
      }
   ]
}